=== debian/changelog ===
ros-humble-spinnaker-camera-driver (2.0.6-1jammy) jammy; urgency=high

  * fix arm64 build: use correct file name when downloading spinnaker from clearpath
  * fix broken build when the Spinnaker SDK is present
  * allow building with older version (0.6) of yaml library
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Sat, 12 Aug 2023 04:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.5-1jammy) jammy; urgency=high

  * add ffmpeg dependency to fix build failures on ROS farm
  * switch from custom config files to standard yaml format
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 11 Aug 2023 04:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.4-1jammy) jammy; urgency=high

  * install spinnaker libraries in spinnaker_camera_driver dir
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 10 Aug 2023 04:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.3-1jammy) jammy; urgency=high

  * Hardcoding OS to jammy since it is the only one currently supported.
  * Contributors: Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Tue, 01 Aug 2023 04:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.2-1jammy) jammy; urgency=high

  * replace lsb-release with python3-distro
  * add dependencies for spinnaker download
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 28 Jul 2023 04:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.1-1jammy) jammy; urgency=high

  * use cmake find_program to detect lsb_release
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.0-1jammy) jammy; urgency=high

  * Merge pull request #113 <https://github.com/ros-drivers/flir_camera_driver/issues/113> from berndpfrommer/humble-devel-new
    new driver for ROS2
  * added spinnaker_camera_driver package
  * deleted spinnaker ros2 driver, to be replaced by new version
  * Contributors: Bernd Pfrommer, Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 20 Jul 2023 04:00:00 -0000
