## ros-humble-spinnaker-camera-driver 2.1.17

=== debian/changelog ===
ros-humble-spinnaker-camera-driver (2.1.17-1bookworm) bookworm; urgency=high

  * fix broken composable node by installing in correct location
  * Add FLIR-AX5 Camera (#176 <https://github.com/ros-drivers/flir_camera_driver/issues/176>)
  * Contributors: Bernd Pfrommer, anonymousarmadillo100

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 17 May 2024 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.1.16-1bookworm) bookworm; urgency=high

  * add option to disable external control (default!)
  * updated docs for sync driver, switch to RST
  * widened the ExposureController interface
  * fix build errors on rolling/noble
  * added blacklevel and whitebalance support for blackfly
  * use proper name for camerainfo when using sync driver
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 19 Apr 2024 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.1.15-1bookworm) bookworm; urgency=high

  * fixes to compile on focal/galactic
  * Oryx parameter file
  * support for command nodes
  * remove more spinnaker imports, make spinnaker private
  * added blackfly GigE configuration file
  * track incomplete frames
  * fixed licensing documentation
  * Contributors: Bernd Pfrommer, Sir-Photch

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 27 Mar 2024 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.1.14-1bookworm) bookworm; urgency=high

  * make spinnaker dependency private for sync driver build
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 21 Mar 2024 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.1.13-1bookworm) bookworm; urgency=high

  * added blackfly GigE configuration file
  * track incomplete frames
  * fixed licensing documentation
  * provision camera driver for exposure control
  * fixed bugs discovered when running on GigE cams
  * avoid searching ROS path for library
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Tue, 12 Mar 2024 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.1.11-1bookworm) bookworm; urgency=high

  * Added connect_while_subscribed feature
  * Added binning parameter
  * Export library and refactor for synchronized driver support
  * fixed stereo launch file serial number bug
  * Contributors: Bernd Pfrommer, Luis Camero, buckleytoby

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 22 Feb 2024 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.8-1bookworm) bookworm; urgency=high

  * Added linux_setup_flir script instructions to Readme
  * Add newline echo before Done
  * Rename script to remove extension
  * Ask permission for usb change and don't limit detection to 1000
  * Ask about usergroup and give feedback
  * Added linux pc setup script
  * fix python formatting to satisfy linter
  * fix formatting of BSD license to satisfy linter
  * Contributors: Bernd Pfrommer, Hilary Luo

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.7-1bookworm) bookworm; urgency=high

  * Restricted the device permissions
  * Added Teledyne to udev as requested
  * Added udev rule
  * Contributors: Hilary Luo

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.6-1bookworm) bookworm; urgency=high

  * fix arm64 build: use correct file name when downloading spinnaker from clearpath
  * fix broken build when the Spinnaker SDK is present
  * allow building with older version (0.6) of yaml library
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Fri, 11 Aug 2023 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.5-1bookworm) bookworm; urgency=high

  * add ffmpeg dependency to fix build failures on ROS farm
  * switch from custom config files to standard yaml format
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 10 Aug 2023 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.4-1bookworm) bookworm; urgency=high

  * install spinnaker libraries in spinnaker_camera_driver dir
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 09 Aug 2023 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.3-1bookworm) bookworm; urgency=high

  * Hardcoding OS to jammy since it is the only one currently supported.
  * Contributors: Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Mon, 31 Jul 2023 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.2-1bookworm) bookworm; urgency=high

  * replace lsb-release with python3-distro
  * add dependencies for spinnaker download
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Thu, 27 Jul 2023 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.1-1bookworm) bookworm; urgency=high

  * use cmake find_program to detect lsb_release
  * Contributors: Bernd Pfrommer

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-spinnaker-camera-driver (2.0.0-1bookworm) bookworm; urgency=high

  * Merge pull request #113 <https://github.com/ros-drivers/flir_camera_driver/issues/113> from berndpfrommer/humble-devel-new
    new driver for ROS2
  * added spinnaker_camera_driver package
  * deleted spinnaker ros2 driver, to be replaced by new version
  * Contributors: Bernd Pfrommer, Tony Baltovski

 -- Bernd Pfrommer <bernd.pfrommer@gmail.com>  Wed, 19 Jul 2023 16:00:00 -0000
